Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
ffi.c File Reference
`#include <ffi.h>`
`#include <ffi_common.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Macros
#define | FFI_TYPE_LONGDOUBLE 4

## Functions
void | ffi_call_osf (void *, unsigned long, unsigned, void *, void(*)(void))
void | ffi_call (ffi_cif *cif, void(*fn)(void), void *rvalue, void **avalue)
ffi_status | ffi_prep_closure_loc (ffi_closure *closure, ffi_cif *cif, void(*fun)(ffi_cif *, void *, void **, void *), void *user_data, void *codeloc)
long FFI_HIDDEN | ffi_closure_osf_inner (ffi_closure *closure, void *rvalue, unsigned long *argp)

## Macro Definition Documentation

## ◆ FFI_TYPE_LONGDOUBLE

#define FFI_TYPE_LONGDOUBLE 4

Definition at line 40 of file ffi.c.

## Function Documentation

## ◆ ffi_call()

void ffi_call | ( | ffi_cif * | cif,
|  | void(*)(void) | fn,
|  | void * | rvalue,
|  | void ** | avalue
| ) |  |

Definition at line 80 of file ffi.c.

References ALIGN, alloca, FFI_ASSERT, ffi_call_osf(), FFI_SIZEOF_ARG, FFI_TYPE_LONGDOUBLE, i, memcpy(), NULL, and size.

## ◆ ffi_call_osf()

void ffi_call_osf | ( | void * | ,
|  | unsigned long | ,
|  | unsigned | ,
|  | void * | ,
|  | void(*)(void) |
| ) |  |

Definition at line 43 of file ffi.c.

References FFI_SIZEOF_ARG, and FFI_TYPE_LONGDOUBLE.

Referenced by ffi_call().

## ◆ ffi_closure_osf_inner()

long FFI_HIDDEN ffi_closure_osf_inner | ( | ffi_closure * | closure,
|  | void * | rvalue,
|  | unsigned long * | argp
| ) |  |

Definition at line 209 of file ffi.c.

References abort(), ALIGN, alloca, FFI_SIZEOF_ARG, FFI_TYPE_LONGDOUBLE, i, and size.

## ◆ ffi_prep_closure_loc()

ffi_status ffi_prep_closure_loc | ( | ffi_closure * | closure,
|  | ffi_cif * | cif,
|  | void(*)(ffi_cif *, void *, void **, void *) | fun,
|  | void * | user_data,
|  | void * | codeloc
| ) |  |

Definition at line 174 of file ffi.c.

References FFI_OSF.